import { JavaMapEntry } from '../../../java/util/JavaMapEntry';
import { JavaObject } from '../../../java/lang/JavaObject';
export declare class AVLMapNode<K, V> extends JavaObject implements JavaMapEntry<K, V> {
    readonly _key: K;
    _val: V;
    _prev: AVLMapNode<K, V> | null;
    _next: AVLMapNode<K, V> | null;
    _childL: AVLMapNode<K, V> | null;
    _childR: AVLMapNode<K, V> | null;
    _height: number;
    _size: number;
    /**
     * Erstellt ein neues Blatt des Baumes.
     */
    constructor(key: K, val: V);
    toString(): String;
    equals(o: unknown): boolean;
    hashCode(): number;
    getKey(): K;
    getValue(): V;
    setValue(value: V): V;
    isTranspiledInstanceOf(name: string): boolean;
}
export declare function cast_de_nrw_schule_svws_core_adt_map_AVLMapNode<K, V>(obj: unknown): AVLMapNode<K, V>;
